---
title: "Motiejus Jakštys Resume"
description: "Motiejus Jakštys resume"
---

My resume is below, in reverse-chronological order.

## Employment

---

### Staff Software Engineer, UBER, Lithuania 2020–2023

- Bootstrapped Uber's infrastructure on arm64. See [Uber's blog
  post][uber-arm64].

### Senior Software Engineer, UBER, The Netherlands (2016), Lithuania (2017–2020)

- Developed all kinds of OS, kernel, infrasec projects and initiatives.
- Built, developed and led Uber's First Responder team (Ring0) in EU.
- Maintained [ringpop-go](https://github.com/uber/ringpop-go).

*Technologies utilized at Uber*:

* Used and contributed to
  [Go](http://github.com/golang/go/issues?q=author%3Amotiejus+) and
  [Zig](http://github.com/ziglang/zig/commits?author=motiejus).
* Debian builds and deployments, configuration management. Wide ecosystem.
* Productionized and on-boarded to Uber a [hermetic C++ toolchain
  configuration](https://github.com/uber/hermetic_cc_toolchain)
  in Bazel.

---

### GIS/Cartographer (FREELANCE), Lithuania 2019–now

* Created a photo–mosaic of a non-trivial area with a consumer drone that
  enabled significant update of openstreetmaps data and create a detailed map
  of a small town.
* Implemented some spatial algorithms. Notable
  example: [git.jakstys.lt/motiejus/wm][wm].

*Technologies utilized for GIS work*: PostGIS, GDAL.

---

### Software Development Engineer, AMAZON WEB SERVICES, The Netherlands, 2014–2016

- Developed Amazon WorkMail.
- Performed networking and Linux investigations. between the business
  application and the system (and networks) that are running it.

Technologies utilized at Amazon: Java, Linux, AWS public offerings and internal
Amazon stack.

---

### Software Engineer, SPIL GAMES, Netherlands, 2012–2014

- Backend application developer.
- Performed networking and Linux investigations.

Tech: Erlang, C and Linux.

Location: Hilversum, Netherlands.

---

### Software Engineer, MANO NUMERIS, Lithuania, 2010–2011

Developed business–line applications in Erlang.

Location: Vilnius, Lithuania.

---

## Academic Certifications

### MSc in Cartography, VILNIUS UNIVERSITY, Lithuania, 2019–2021

### BSc in Computing Science, UNIVERSITY OF GLASGOW, Scotland, 2010–2013

[uber-arm64]: https://www.uber.com/en-US/blog/bootstrapping-ubers-infrastructure-on-arm64-with-zig/
[wm]: https://git.jakstys.lt/motiejus/wm/
